Bug 23966 - glibc-2.2-12 breaks pthreads
glibc-2.2-12 breaks pthreads
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-01-13 17:35 EST by Pete Toscano
Modified: 2007-04-18 12:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-01-14 04:36:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
conftest.c (1.22 KB, text/plain)
2001-01-13 17:36 EST, Pete Toscano
no flags Details
including confdefs.h too (1.68 KB, text/plain)
2001-01-13 17:38 EST, Pete Toscano
no flags Details

  None (edit)
Description Pete Toscano 2001-01-13 17:35:50 EST
openldap-2.0.7's configuration program tests for pthreads.  the test
program that normally succeeds segfaults with glibc-2.2-12.  went back to
2.2-9 and it's working again.  the test program is here (watch the line
wrapping though).  the included file condefs.h can be gotten from the
openldap-2.0.7 package.


#include "confdefs.h"
/* pthread test headers */
#include <pthread.h>
#ifndef NULL
#define NULL (void*)0

static void *task(p)
        void *p;
        return (void *) (p == NULL);

int main(argc, argv)
        int argc;
        char **argv;

        /* pthread test function */
        pthread_t t;
        int status;
        /* This system (e.g. AIX) defaults detached; must override */
        pthread_attr_t attr;

        status = pthread_attr_init(&attr);
        if( status ) exit( status );

        status =
        if( status ) exit( status );

#define ATTR    &attr
#define ATTR    pthread_attr_default
#define ATTR    NULL
        /* make sure pthread_create() isn't just a stub */
        status = pthread_create(&t, ATTR, task, NULL);
        if( status ) exit( status );

        /* make sure pthread_detach() isn't just a stub */
        status = pthread_detach( &t );
        status = pthread_detach( t );


        exit( status );

Comment 1 Pete Toscano 2001-01-13 17:36:54 EST
Created attachment 7566 [details]
Comment 2 Pete Toscano 2001-01-13 17:38:48 EST
Created attachment 7567 [details]
including confdefs.h too
Comment 3 Jakub Jelinek 2001-01-14 04:35:58 EST
I've fixed this yesterday, it made into 2.2.1 final.
It will appear once next rpms are built.
Comment 4 Jakub Jelinek 2001-01-23 05:00:13 EST
You can grab glibc-2.2.1-2 from rawhide.

Note You need to log in before you can comment on or make changes to this bug.